.ttp {
  position: relative;
  display: inline-block;
}

.ttp .ttp-text {
  visibility: hidden;
  width: 120px;
  background-color: #535353;
  color: #fff;
  text-align: center;
  border-radius: 6px;
  padding: 5px 0;
  position: absolute;
  z-index: 99;
  bottom: 110%;
  margin-left: -61px;
}

.ttp:hover .ttp-text {
  visibility: visible;
}

.ttp-text::after {
  content: "";
  position: absolute;
  top: 100%;
  left: 50%;
  margin-left: -5px;
  border-width: 5px;
  border-style: solid;
  border-color: #535353 transparent transparent transparent;
}

body {
  font-size: 10pt;
  font-style: normal;
  font-family: arial;
}

.content-area {
  border: 1px solid silver;

  padding: 10px 15px;
  margin: 15px auto;

  width: 60%;

  -webkit-border-radius: 5px;
  -moz-border-radius: 5px;
  -ms-border-radius: 5px;
  -o-border-radius: 5px;
  border-radius: 5px;
}

.active-inline-chats--comments-container {
  overflow-y: scroll;
  overflow-x: hidden;
  height: 80vh;
}
.active-inline-chats--comments-container p {
	text-align: justify;
}

.active-inline-chats--messages {

  display: inline-block;
  position: absolute;
  z-index: 12;
  top: 0;
  right: 0;
  width: 190px;

  transition: 0.5s;

  margin: 5px 10px;

  padding: 10px 15px;

  background: #fff;
  border: 2px solid #fff;

  -webkit-border-radius: 3px;
  -moz-border-radius: 3px;
  -ms-border-radius: 3px;
  -o-border-radius: 3px;
  border-radius: 3px;
}

[active-inline-chats] {
  display: inline;
  cursor: pointer;
}
p+[active-inline-chats] {
  display: block;
}
p+[active-inline-chats] > p {
  display: inline;
}

.active-inline-chats--messages .active-inline-chats--messages--list {
  padding: 10px 0;
}

.active-inline-chats--messages .active-inline-chats--messages--line-2,
.active-inline-chats--messages .active-inline-chats--messages--line-1 {
  -webkit-opacity: 0.5;
  -moz-opacity: 0.5;
  -ms-opacity: 0.5;
  -o-opacity: 0.5;
  opacity: 0.5;
height: 2px !important;
  -webkit-border-radius: 2.3px;
  -moz-border-radius: 2.3px;
  -ms-border-radius: 2.3px;
  -o-border-radius: 2.3px;
  border-radius: 2.3px;

  pointer-events: none;

  /*transition: 0.2s;*/
}

.active-inline-chats--messages .active-inline-chats--messages--list:empty::before {
  content: "No annotations yet";
  font-style: italic;
  color: rgba(0, 0, 0, 0.85);
}

.active-inline-chats--messages--list--username {
  position: relative;
  height: 23px;
  clear: both;
  text-align: left;
  -webkit-transform: translate(-6px, -6px);
  -ms-transform: translate(-6px, -6px);
  transform: translate(-6px, -6px);
}
.active-inline-chats--messages--list--username img {
  display: inline-block;
  vertical-align: middle;
  margin: 5px 10px 0 0;
  height: 32px;
  width: auto;
}

.active-inline-chats--messages--list--username .user-avatar {
  display: inline-block;
  vertical-align: middle;
  margin: 5px 10px 0 0;
  height: 32px;
  min-width: 32px;

  font-size: 15px;
  line-height: 32px;
  text-align: center;

  background: #4773aa;
  color: #fff;

  -webkit-border-radius: 50%;
  -moz-border-radius: 50%;
  -ms-border-radius: 50%;
  -o-border-radius: 50%;
  border-radius: 50%;
}


.active-inline-chats--messages--list--username[time]::before {
  content: attr(time);
  position: absolute;
  top: 23px;
  left: 46px;
  font-size: 12px;
  font-style: italic;
}

.active-inline-chats--messages--list--item--buttons {
  width: 100px;
  margin: 0 -10px -5px auto;
  padding: 0;
  font-size: 12px;
}
.active-inline-chats--messages--list--item--buttons tr {
  vertical-align: middle;
  height: 24px;
}

.active-inline-chats--messages--list--item--buttons td:hover {
  text-align: center;
  cursor: pointer;
  -webkit-box-shadow: inset 0 0 3px rgba(0, 0, 0, 0.5);
  box-shadow: inset 0 0 3px rgba(0, 0, 0, 0.5);
}

.active-inline-chats--messages--list--item--buttons td.active-inline-chats--messages--add {
  background: transparent url('./icons/comment.svg') center center no-repeat;
  background-size: 15px;
}

.active-inline-chats--messages--list--item--buttons td.active-inline-chats--messages--close {
  background: transparent url('./icons/check.svg') center center no-repeat;
  background-size: 15px;
}

.active-inline-chats--messages--list--item--buttons td.active-inline-chats--messages--remove {
  background: transparent url('./icons/archive.svg') center center no-repeat;
  background-size: 15px;
}

.active-inline-chats--messages--list--item--buttons td:hover {
  -webkit-box-shadow: inset 0 0 5px rgba(0, 0, 0, 0.9);
  box-shadow: inset 0 0 5px rgba(0, 0, 0, 0.9);
}

.active-inline-chats--messages.closed .active-inline-chats--messages--add,
.active-inline-chats--messages.closed .active-inline-chats--messages--close {
  -webkit-pointer-events: none;
  -moz-pointer-events: none;
  -ms-pointer-events: none;
  -o-pointer-events: none;
  pointer-events: none;

  -webkit-opacity: 0.5;
  -moz-opacity: 0.5;
  -ms-opacity: 0.5;
  -o-opacity: 0.5;
  opacity: 0.5;
}

.active-inline-chats--messages--list--item {
  font-size: 12px;
}
.active-inline-chats--messages--list--item h2 {
  font-size: 12px
}

.active-inline-chats--messages--list--item textarea {
  width: 100%;
  margin: 10px 0;
  background: transparent;
  border: 0;
}

.active-inline-chats--comments-container {
  position: relative;
}

.report-item--content.active-inline-chats--comments-container-context[report-state] {
  padding-right: 240px;
  z-index: 10;
}

.comments-popup--add-message {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;

  z-index: 100000;
}

.comments-popup--add-message .comments-popup-overlay {
  position: absolute;
  top: 0;
  left: 0;
  z-index: 2;
  width: 100%;
  height: 100%;
  background: rgba(255, 255, 255, 0.5);
}

.comments-popup--add-message .comments-popup-box {
  position: absolute;
  top: 50%;
  left: 50%;
  z-index: 5;

  -webkit-transform: translate(-50%, -50%);
  -ms-transform: translate(-50%, -50%);
  transform: translate(-50%, -50%);

  width: 90%;
  max-width: 450px;
  height: auto;

  padding: 25px 15px 15px 15px;

  background: #fff;

  text-align: left;

  font-size: 12px;

  -webkit-border-radius: 3px;
  -moz-border-radius: 3px;
  -ms-border-radius: 3px;
  -o-border-radius: 3px;
  border-radius: 3px;

  -webkit-box-shadow: 0 0 5px #c3c3c3;
  box-shadow: 0 0 5px #c3c3c3;
}


.comments-popup--add-message .comments-popup-box textarea {
  width: 100%;

  -webkit-box-sizing: border-box;
  box-sizing: border-box;

  margin: 15px 0;
}

.comments-popup-box textarea {
border: 1px solid black;
}
